## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate fd-find

Name:           rust-fd-find
Version:        8.7.1
Release:        %autorelease
Summary:        Fd is a simple, fast and user-friendly alternative to find

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/fd-find
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop jemallocator dependency
Patch:          fd-find-fix-metadata.diff
# * drop jemallocator from code
Patch:          fd-find-8.7.1-remove_usage_of_jemallocator.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Fd is a simple, fast and user-friendly alternative to find.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/fd
%{_mandir}/man1/fd.1*
%{bash_completions_dir}/fd
%{fish_completions_dir}/fd.fish
%{zsh_completions_dir}/_fd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
# generate shell completions
./target/release/fd --gen-completions bash > fd.bash
./target/release/fd --gen-completions fish > fd.fish
./target/release/fd --gen-completions zsh > fd.zsh

%install
%cargo_install
# install manpage
install -Dpm 644 doc/fd.1 -t %{buildroot}/%{_mandir}/man1/
# install shell completions
install -Dpm 0644 fd.bash %{buildroot}/%{bash_completions_dir}/fd
install -Dpm 0644 fd.fish %{buildroot}/%{fish_completions_dir}/fd.fish
install -Dpm 0644 fd.zsh %{buildroot}/%{zsh_completions_dir}/_fd

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 8.7.1-1
- Rebuilt for MSVSphere 9.3

* Sat Oct 28 2023 Michel Lind <salimma@fedoraproject.org> - 8.7.1-1
- Update to 8.7.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 19 2023 Fabio Valentini <decathorpe@gmail.com> - 8.7.0-2
- Remove stabilized but previously unstable "clap/unstable-grouped" feature

* Fri Mar 03 2023 Fabio Valentini <decathorpe@gmail.com> - 8.7.0-1
- Update to version 8.7.0; Fixes RHBZ#2027038

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-11
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Sat Jan 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 8.2.1-10
- Bump lscolors from 0.10 to 0.13.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-8
- Bump lscolors from 0.7 to 0.10.

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 8.2.1-6
- Rebuild with package notes

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-5
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 12 2021 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-1
- Update to version 8.2.1.
- Fixes RHBZ#1904838

* Mon Dec 28 13:29:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-4
- Rebuild

* Sun Aug 16 15:01:25 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-3
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 25 17:00:41 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-1
- Update to 8.1.1

* Fri May 22 12:25:14 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.0-1
- Update to 8.1.0

* Thu Apr 16 11:42:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.0.0-1
- Update to 8.0.0

* Sun Mar 22 17:19:42 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 7.5.0-1
- Update to 7.5.0

* Thu Mar 19 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 7.4.0-3
- Correct license

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 07 12:09:52 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.4.0-1
- Update to 7.4.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 22 19:19:49 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-3
- Regenerate

* Sun Jul 21 18:29:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-2
- Correct fish completions directory

* Sat Apr 27 18:51:07 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-1
- Update to 7.3.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 30 2018 Josh Stone <jistone@redhat.com> - 7.2.0-1
- Update to 7.2.0

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 7.1.0-1
- Update to 7.1.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-2
- Bump regex to 1

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 7.0.0-1
- Update to 7.0.0

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 6.3.0-2
- Bump regex-syntax to 0.5

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.3.0-1
- Update to 6.3.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-4
- Rebuild for clap 2.29.2 (zsh completion fixes)

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-3
- Rebuild for clap 2.29.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-2
- Rebuild for rust-packaging v5

* Thu Jan 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-1
- Update to 6.2.0

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-5
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-4
- Rebuild for clap 2.28.0

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-3
- Fix bash completion

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-2
- Package completions

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-1
- Initial package

